# -*- coding: utf-8 -*-

import os, xbmc, xbmcaddon

class RawXbmcDb():
     @staticmethod
     def query( str ):
	  RawXbmcDb_Connect = ConnectToXbmcDb()
	  cursor = RawXbmcDb_Connect.cursor()
	  cursor.execute( str )
	  matches = []
	  for row in cursor: matches.append( row )
	  RawXbmcDb_Connect.commit()
	  cursor.close()
	  return matches

     @staticmethod
     def execute( str ):
	  return RawXbmcDb.query( str )

def ConnectToXbmcDb():
     import sqlite3
     dbPath = xbmc.translatePath( "special://userdata/Database" )
     addonSettings = xbmcaddon.Addon( "script.thumbnailscleaner" )
     dbName = "Textures" + addonSettings.getSetting( "dbTextures" ) + ".db"
     dbHost = os.path.join( dbPath, dbName )
     return sqlite3.connect( dbHost )